Loading...
Searching...
No Matches
Dune::PolyhedralGridView< dim, dimworld, coord_t, defaultpitype > Class Template Reference

## Classes

struct | Codim

## Public Types

typedef PolyhedralGridViewTraits< dim, dimworld, coord_t, defaultpitype > | Traits
typedef Traits::Grid | Grid
typedef Traits::IndexSet | IndexSet
typedef Traits::Intersection | Intersection
typedef Traits::IntersectionIterator | IntersectionIterator
using | Communication = typename Traits::Communication
using | CollectiveCommunication = Communication

## Public Member Functions

| PolyhedralGridView (const Grid &grid, const int level=0)
const Grid & | grid () const
const IndexSet & | indexSet () const
bool | isConforming () const
int | size (int codim) const
int | size (const GeometryType &type) const
template<int codim>
Codim< codim >::Iterator | begin () const
template<int codim, PartitionIteratorType pit>
Codim< codim >::template Partition< pit >::Iterator | begin () const
template<int codim>
Codim< codim >::Iterator | end () const
template<int codim, PartitionIteratorType pit>
Codim< codim >::template Partition< pit >::Iterator | end () const
IntersectionIterator | ibegin (const typename Codim< 0 >::Entity &entity) const
IntersectionIterator | iend (const typename Codim< 0 >::Entity &entity) const
const CollectiveCommunication & | comm () const
int | overlapSize (int codim) const
int | ghostSize (int codim) const
template<class DataHandle, class Data>
void | communicate (CommDataHandleIF< DataHandle, Data >, InterfaceType, CommunicationDirection) const

## Static Public Attributes

static const bool | conforming = Traits :: conforming
static const PartitionIteratorType | pitype = Traits :: pitype

## Protected Attributes

const Grid * | grid_

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/gridview.hh